package com.example.rehabilitation.Admin.activityAdmin

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import androidx.activity.viewModels
import androidx.lifecycle.asLiveData
import com.example.rehabilitation.R
import com.example.rehabilitation.databinding.ActivityUserSettingBinding
import com.example.rehabilitation.db.Item
import com.example.rehabilitation.db.ItemDaySport
import com.example.rehabilitation.db.ItemImage
import com.example.rehabilitation.db.ItemSportCategory
import com.example.rehabilitation.db.MainDB
import com.example.rehabilitation.dip.Day.DayAdapter
import com.example.rehabilitation.dip.Day.DayModel
import com.example.sqlitework.dip.MainViewModel
import com.example.rehabilitation.dip.Month.MonthModel
import com.example.rehabilitation.dip.Month.MonthAdapter
import java.time.LocalDate

class UserSettingActivity : AppCompatActivity(), MonthAdapter.Listener,DayAdapter.Listener {
    private lateinit var binding: ActivityUserSettingBinding
    private val model: MainViewModel by viewModels()//Инициализировали класс
    lateinit var adapterMonth: MonthAdapter
    lateinit var adapterDay: DayAdapter


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityUserSettingBinding.inflate(layoutInflater)
        setContentView(binding.root)
//        initRcView()
//        initRcViewDay()
//        model.liveListList.observe(lifeCy) {//viewLifecycleOwner - следит за циклом жизни fragment
//            adapterMonth.submitList(it)//Напрямую переадем созданный список в adapter(ProductAdapter)
//        }
//
//        model.liveDayList.observe(viewLifecycleOwner) {//viewLifecycleOwner - следит за циклом жизни fragment
//            adapterDay.submitList(it)//Напрямую переадем созданный список в adapter(ProductAdapter)
//        }

        //Выход
        binding.btnExit.setOnClickListener{
            finish()
        }

        //Выход из добавленеия
        binding.btnExitAdd.setOnClickListener{
            binding.CLAdd.visibility = View.GONE
            binding.CLCreateDeleteUser.visibility = View.VISIBLE
        }

        //Выход из добавленеия
        binding.btnCreate.setOnClickListener{
            binding.CLAdd.visibility = View.VISIBLE
            binding.CLCreateDeleteUser.visibility = View.GONE
        }

        binding.cvClearDayUser.setOnClickListener{
            val db = MainDB.getDB(this)
            Thread {
                db.getDaoDaySport().deleteItemDaySport()
                db.getDao().deleteItem()
            }.start()
        }

        //addListModelCards()

        //addDayModelCards()


        binding.btnImage.setOnClickListener{
            createImageBD()
        }

        binding.btnCategorySport.setOnClickListener {
            createSportCategory()
        }

        binding.btnCardC.setOnClickListener {
            val db = MainDB.getDB(this)
            for(i in 1..30){
                val item = Item(null,
                    getDateTomorrow(i, "c"),//"11/11/2023",
                    i.toString(),
                    0
                )
                Thread {
                    db.getDao().insertItem(item)
                }.start()
            }
        }
        binding.btnCardB.setOnClickListener {
            val db = MainDB.getDB(this)
            for(i in 1..30){
                val item = Item(null,
                    getDateTomorrow(i, "b"),//"11/11/2023",
                    i.toString(),
                    0
                )
                Thread {
                    db.getDao().insertItem(item)
                }.start()
            }
        }
        binding.btnCardJ.setOnClickListener {
            val db = MainDB.getDB(this)
            for(i in 1..30){
                val item = Item(null,
                    getDateTomorrow(i, "j"),//"11/11/2023",
                    i.toString(),
                    0
                )
                Thread {
                    db.getDao().insertItem(item)
                }.start()
            }
        }

    }

    private fun createImageBD() {
        val db = MainDB.getDB(this)

        val itemС1_1 = ItemImage(null, "${R.drawable.c1_1}", "c1","c")
        val itemС1_2 = ItemImage(null, "${R.drawable.c1_2}", "c1","c")
        val itemС2_1 = ItemImage(null, "${R.drawable.c2_1}", "c2","c")
        val itemС2_2 = ItemImage(null, "${R.drawable.c2_2}", "c2","c")
        val itemС3_1 = ItemImage(null, "${R.drawable.c3_1}", "c3","c")
        val itemС3_2 = ItemImage(null, "${R.drawable.c3_2}", "c3","c")
        val itemС4_1 = ItemImage(null, "${R.drawable.c4_1}", "c4","c")
        val itemС4_2 = ItemImage(null, "${R.drawable.c4_1}", "c4","c")
        val itemС5_1 = ItemImage(null, "${R.drawable.c5_1}", "c5","c")
        val itemС5_2 = ItemImage(null, "${R.drawable.c5_2}", "c5","c")
        val itemС6_1 = ItemImage(null, "${R.drawable.c6_1}", "c6","c")
        val itemС6_2 = ItemImage(null, "${R.drawable.c6_2}", "c6","c")
        val itemС6_3 = ItemImage(null, "${R.drawable.c6_3}", "c6","c")
        val itemС7_1 = ItemImage(null, "${R.drawable.c7_1}", "c7","c")
        val itemС8_1 = ItemImage(null, "${R.drawable.c8_1}", "c8","c")
        val itemС8_2 = ItemImage(null, "${R.drawable.c8_2}", "c8","c")
        val itemС9_1 = ItemImage(null, "${R.drawable.c9_1}", "c9","c")
        val itemС9_2 = ItemImage(null, "${R.drawable.c9_2}", "c9","c")
        val itemС9_3 = ItemImage(null, "${R.drawable.c9_3}", "c9","c")
        val itemС10_1 = ItemImage(null, "${R.drawable.c10_1}", "c10","c")
        val itemС10_2 = ItemImage(null, "${R.drawable.c10_2}", "c10","c")
        val itemС10_3 = ItemImage(null, "${R.drawable.c10_3}", "c10","c")
        val itemС11_1 = ItemImage(null, "${R.drawable.c11_1}", "c11","c")
        val itemС12_1 = ItemImage(null, "${R.drawable.c12_1}", "c12","c")
        val itemС12_2 = ItemImage(null, "${R.drawable.c12_2}", "c12","c")
        val itemС13_1 = ItemImage(null, "${R.drawable.c13_1}", "c13","c")
        val itemС13_2 = ItemImage(null, "${R.drawable.c13_2}", "c13","c")
        val itemС14_1 = ItemImage(null, "${R.drawable.c14_1}", "c14","c")
        val itemС14_2 = ItemImage(null, "${R.drawable.c14_2}", "c14","c")
        val itemС15_1 = ItemImage(null, "${R.drawable.c15_1}", "c15","c")
        val itemС15_2 = ItemImage(null, "${R.drawable.c15_2}", "c15","c")
        val itemС16_1 = ItemImage(null, "${R.drawable.c16_1}", "c16","c")
        val itemС16_2 = ItemImage(null, "${R.drawable.c16_2}", "c16","c")
        val itemС17_1 = ItemImage(null, "${R.drawable.c17_1}", "c17","c")
        val itemС17_2 = ItemImage(null, "${R.drawable.c17_2}", "c17","c")
        val itemС18_1 = ItemImage(null, "${R.drawable.c18_1}", "c18","c")
        val itemС18_2 = ItemImage(null, "${R.drawable.c18_2}", "c18","c")
        val itemС18_3 = ItemImage(null, "${R.drawable.c18_3}", "c18","c")

        val itemB1_1 = ItemImage(null, "${R.drawable.b1_1}", "b1", "b")
        val itemB1_2 = ItemImage(null, "${R.drawable.b1_2}", "b1", "b")
        val itemB2_1 = ItemImage(null, "${R.drawable.b2_1}", "b2", "b")
        val itemB2_2 = ItemImage(null, "${R.drawable.b2_2}", "b2", "b")
        val itemB3_1 = ItemImage(null, "${R.drawable.b3_1}", "b3", "b")
        val itemB3_2 = ItemImage(null, "${R.drawable.b3_2}", "b3", "b")
        val itemB3_3 = ItemImage(null, "${R.drawable.b3_3}", "b3", "b")
        val itemB4_1 = ItemImage(null, "${R.drawable.b4_1}", "b4", "b")
        val itemB4_2 = ItemImage(null, "${R.drawable.b4_2}", "b4", "b")

        val itemJ1_1 = ItemImage(null, "${R.drawable.j1_1}", "j1","j")
        val itemJ1_2 = ItemImage(null, "${R.drawable.j1_2}", "j1","j")
        val itemJ2_1 = ItemImage(null, "${R.drawable.j2_1}", "j2","j")
        val itemJ2_2 = ItemImage(null, "${R.drawable.j2_2}", "j2","j")
        val itemJ3_1 = ItemImage(null, "${R.drawable.j3_1}", "j3","j")
        val itemJ3_2 = ItemImage(null, "${R.drawable.j3_2}", "j3","j")
        val itemJ4_1 = ItemImage(null, "${R.drawable.j4_1}", "j4","j")
        val itemJ4_2 = ItemImage(null, "${R.drawable.j4_2}", "j4","j")
        val itemJ4_3 = ItemImage(null, "${R.drawable.j4_3}", "j4","j")
        val itemJ5_1 = ItemImage(null, "${R.drawable.j5_1}", "j5","j")
        val itemJ6_1 = ItemImage(null, "${R.drawable.j6_1}", "j6","j")
        val itemJ6_2 = ItemImage(null, "${R.drawable.j6_2}", "j6","j")
        val itemJ6_3 = ItemImage(null, "${R.drawable.j6_3}", "j6","j")
        val itemJ6_4 = ItemImage(null, "${R.drawable.j6_4}", "j6","j")
        val itemJ7_1 = ItemImage(null, "${R.drawable.j7_1}", "j7","j")
        val itemJ7_2 = ItemImage(null, "${R.drawable.j7_2}", "j7","j")
        val itemJ7_3 = ItemImage(null, "${R.drawable.j7_3}", "j7","j")
        val itemJ7_4 = ItemImage(null, "${R.drawable.j7_4}", "j7","j")
        val itemJ7_5 = ItemImage(null, "${R.drawable.j7_5}", "j7","j")
        val itemJ7_6 = ItemImage(null, "${R.drawable.j7_6}", "j7","j")
        val itemJ7_7 = ItemImage(null, "${R.drawable.j7_7}", "j7","j")
        val itemJ8_1 = ItemImage(null, "${R.drawable.j8_1}", "j8","j")
        val itemJ8_2 = ItemImage(null, "${R.drawable.j8_2}", "j8","j")
        val itemJ8_3 = ItemImage(null, "${R.drawable.j8_3}", "j8","j")
        val itemJ9_1 = ItemImage(null, "${R.drawable.j9_1}", "j9","j")
        val itemJ10_1 = ItemImage(null, "${R.drawable.j10_1}", "j10","j")
        val itemJ10_2 = ItemImage(null, "${R.drawable.j10_2}", "j10","j")
        val itemJ10_3 = ItemImage(null, "${R.drawable.j10_2}", "j10","j")
        val itemJ11_1 = ItemImage(null, "${R.drawable.j11_1}", "j11","j")
        val itemJ11_2 = ItemImage(null, "${R.drawable.j11_2}", "j11","j")
        val itemJ11_3 = ItemImage(null, "${R.drawable.j11_3}", "j11","j")
        val itemJ11_4 = ItemImage(null, "${R.drawable.j11_4}", "j11","j")
        val itemJ12_1 = ItemImage(null, "${R.drawable.j12_1}", "j12","j")
        val itemJ12_2 = ItemImage(null, "${R.drawable.j12_2}", "j12","j")

        Thread {
            db.getDaoImage().insertItemImage(itemС1_1)
            db.getDaoImage().insertItemImage(itemС1_2)
            db.getDaoImage().insertItemImage(itemС2_1)
            db.getDaoImage().insertItemImage(itemС2_2)
            db.getDaoImage().insertItemImage(itemС3_1)
            db.getDaoImage().insertItemImage(itemС3_2)
            db.getDaoImage().insertItemImage(itemС4_1)
            db.getDaoImage().insertItemImage(itemС4_2)
            db.getDaoImage().insertItemImage(itemС5_1)
            db.getDaoImage().insertItemImage(itemС5_2)
            db.getDaoImage().insertItemImage(itemС6_1)
            db.getDaoImage().insertItemImage(itemС6_2)
            db.getDaoImage().insertItemImage(itemС6_3)
            db.getDaoImage().insertItemImage(itemС7_1)
            db.getDaoImage().insertItemImage(itemС8_1)
            db.getDaoImage().insertItemImage(itemС8_2)
            db.getDaoImage().insertItemImage(itemС9_1)
            db.getDaoImage().insertItemImage(itemС9_2)
            db.getDaoImage().insertItemImage(itemС9_3)
            db.getDaoImage().insertItemImage(itemС10_1)
            db.getDaoImage().insertItemImage(itemС10_2)
            db.getDaoImage().insertItemImage(itemС10_3)
            db.getDaoImage().insertItemImage(itemС11_1)
            db.getDaoImage().insertItemImage(itemС12_1)
            db.getDaoImage().insertItemImage(itemС12_2)
            db.getDaoImage().insertItemImage(itemС13_1)
            db.getDaoImage().insertItemImage(itemС13_2)
            db.getDaoImage().insertItemImage(itemС14_1)
            db.getDaoImage().insertItemImage(itemС14_2)
            db.getDaoImage().insertItemImage(itemС15_1)
            db.getDaoImage().insertItemImage(itemС15_2)
            db.getDaoImage().insertItemImage(itemС16_1)
            db.getDaoImage().insertItemImage(itemС16_2)
            db.getDaoImage().insertItemImage(itemС17_1)
            db.getDaoImage().insertItemImage(itemС17_2)
            db.getDaoImage().insertItemImage(itemС18_1)
            db.getDaoImage().insertItemImage(itemС18_2)
            db.getDaoImage().insertItemImage(itemС18_3)

            db.getDaoImage().insertItemImage(itemB1_1)
            db.getDaoImage().insertItemImage(itemB1_2)
            db.getDaoImage().insertItemImage(itemB2_1)
            db.getDaoImage().insertItemImage(itemB2_2)
            db.getDaoImage().insertItemImage(itemB3_1)
            db.getDaoImage().insertItemImage(itemB3_2)
            db.getDaoImage().insertItemImage(itemB3_3)
            db.getDaoImage().insertItemImage(itemB4_1)
            db.getDaoImage().insertItemImage(itemB4_2)

            db.getDaoImage().insertItemImage(itemJ1_1)
            db.getDaoImage().insertItemImage(itemJ1_2)
            db.getDaoImage().insertItemImage(itemJ2_1)
            db.getDaoImage().insertItemImage(itemJ2_2)
            db.getDaoImage().insertItemImage(itemJ3_1)
            db.getDaoImage().insertItemImage(itemJ3_2)
            db.getDaoImage().insertItemImage(itemJ4_1)
            db.getDaoImage().insertItemImage(itemJ4_2)
            db.getDaoImage().insertItemImage(itemJ4_3)
            db.getDaoImage().insertItemImage(itemJ5_1)
            db.getDaoImage().insertItemImage(itemJ6_1)
            db.getDaoImage().insertItemImage(itemJ6_2)
            db.getDaoImage().insertItemImage(itemJ6_3)
            db.getDaoImage().insertItemImage(itemJ6_4)
            db.getDaoImage().insertItemImage(itemJ7_1)
            db.getDaoImage().insertItemImage(itemJ7_2)
            db.getDaoImage().insertItemImage(itemJ7_3)
            db.getDaoImage().insertItemImage(itemJ7_4)
            db.getDaoImage().insertItemImage(itemJ7_5)
            db.getDaoImage().insertItemImage(itemJ7_6)
            db.getDaoImage().insertItemImage(itemJ7_7)
            db.getDaoImage().insertItemImage(itemJ8_1)
            db.getDaoImage().insertItemImage(itemJ8_2)
            db.getDaoImage().insertItemImage(itemJ8_3)
            db.getDaoImage().insertItemImage(itemJ9_1)
            db.getDaoImage().insertItemImage(itemJ10_1)
            db.getDaoImage().insertItemImage(itemJ10_2)
            db.getDaoImage().insertItemImage(itemJ10_3)
            db.getDaoImage().insertItemImage(itemJ11_1)
            db.getDaoImage().insertItemImage(itemJ11_2)
            db.getDaoImage().insertItemImage(itemJ11_3)
            db.getDaoImage().insertItemImage(itemJ11_4)
            db.getDaoImage().insertItemImage(itemJ12_1)
            db.getDaoImage().insertItemImage(itemJ12_2)

        }.start()


    }

    fun createSportCategory(){
        getDaySport(1, C1,"c","c1")
        getDaySport(2, C2,"c","c2")
        getDaySport(3, C3,"c","c3")
        getDaySport(4, C4,"c","c4")
        getDaySport(5, C5,"c","c5")
        getDaySport(6, C6,"c","c6")
        getDaySport(7, C7,"c","c7")
        getDaySport(8, C8,"c","c8")
        getDaySport(9, C9,"c","c9")
        getDaySport(10, C10,"c","c10")
        getDaySport(11, C11,"c","c11")
        getDaySport(12, C12,"c","c12")
        getDaySport(13, C13,"c","c13")
        getDaySport(14, C14,"c","c14")
        getDaySport(15, C15,"c","c15")
        getDaySport(16, C16,"c","c16")
        getDaySport(17, C17,"c","c17")
        getDaySport(18, C18,"c","c18")


        getDaySport(19, B1,"b","b1")
        getDaySport(20, B2,"b","b2")
        getDaySport(21, B3,"b","b3")
        getDaySport(22, B4,"b","b4")

        getDaySport(23, J1,"j","j1" )
        getDaySport(24, J2,"j","j2" )
        getDaySport(25, J3,"j","j3" )
        getDaySport(26, C4,"j","j4" )
        getDaySport(27, J5,"j","j5" )
        getDaySport(28, J6,"j","j6" )
        getDaySport(29, J7,"j","j7" )
        getDaySport(30, J8,"j","j8" )
        getDaySport(31, J9,"j","j9" )
        getDaySport(32, J10,"j","j10" )
        getDaySport(33, J11,"j","j11" )
        getDaySport(34, J12,"j","j12" )

    }


    //Заполнения модели и списка
    private fun addListModelCards(){
        val db = MainDB.getDB(this)
        val list = ArrayList<MonthModel>()
        db.getDao().getAllItems().asLiveData().observe(this){itList->
            itList.forEach{
                //val text = "Id: ${it.id} Name: ${it.name} Proce: ${it.price}"
                //binding.txtList.append(text)
                val item = MonthModel(
                    it.id.toString(),
                    it.day.toString(),
                    it.date.toString(),
                    it.check.toString()
                )
                //model.liveZakazCurrent.value = item//Передаем в liveDataCurrent один из продуктов, чтобы дальше эти данные использовать и передавать их в пробную ячейку
                list.add(item)//Передали заполненый список
            }
            model.liveListList.value = list
        }




        binding.btnSaveList.setOnClickListener{
//            for(i in 1..30){
//                val item = Item(null,
//                    getDateTomorrow(i, ),//"11/11/2023",
//                    0
//                )
//                Thread {
//                    db.getDao().insertItem(item)
//                }.start()
//            }
        }



    }

    fun getDaySport(i:Int, description:String, categoryImage:String, categorySport:String): String {
        val db = MainDB.getDB(this)
        val tomorrow = LocalDate.now().plusDays(i.toLong())
        val item = ItemSportCategory(null, i.toString(), description,"3",categoryImage, categorySport)
        Thread {
            db.getDaoSportCategory().insertItemSportCategory(item)
        }.start()

        return tomorrow.toString()
    }


    fun getDateTomorrow(i:Int,categorySport:String): String {
        val db = MainDB.getDB(this)

        val DATE_PATTERN = "MM/dd/yyyy"
        val tomorrow = LocalDate.now().plusDays(i.toLong())
        val item = ItemDaySport(null,
            tomorrow.toString(),
            categorySport,
            0
        )
        Thread {
            db.getDaoDaySport().insertItemDaySport(item)
        }.start()

        return tomorrow.toString()
    }
    //Заполнения модели и списка
//    private fun addDayModelCards(){
//        val db = MainDB.getDB(this)
//        val list = ArrayList<DayModel>()
//        db.getDaoDaySport().getAllItemDaySport().asLiveData().observe(this){itList->
//            itList.forEach{
//                //val text = "Id: ${it.id} Name: ${it.name} Proce: ${it.price}"
//                //binding.txtList.append(text)
//                val itemDay = DayModel(
//                    it.id.toString(),
//                    it.day.toString(),
//                    it.category.toString(),
//                    it.check.toString(),
//                )
//                //model.liveZakazCurrent.value = item//Передаем в liveDataCurrent один из продуктов, чтобы дальше эти данные использовать и передавать их в пробную ячейку
//                list.add(itemDay)//Передали заполненый список
//            }
//            model.liveDayList.value = list
//        }
//
//        binding.btnSaveDay.setOnClickListener{
////            val item = ItemDaySport(null,
////                binding.edName.text.toString(),
////                binding.edDesc.text.toString(),
////                binding.edDayCard.text.toString(),
////                binding.edCount.text.toString(),
////                binding.edImage.text.toString(),
////                0
////                )
////            Thread {
////                db.getDaoDaySport().insertItemDaySport(item)
////            }.start()
//        }
//    }


//    //Инициализация списка
//    private fun initRcView() = with(binding) {
//        todoListRecycleView.layoutManager = GridLayoutManager(this@UserSettingActivity,1)//По вертикали будет выводить по умолчанию
//        adapterMonth = MonthAdapter(this@UserSettingActivity)
//        todoListRecycleView.adapter = adapterMonth
//    }
//
//    //Инициализация списка
//    private fun initRcViewDay() = with(binding) {
//        todoDayListRecycleView.layoutManager = GridLayoutManager(this@UserSettingActivity,1)//По вертикали будет выводить по умолчанию
//        adapterDay = DayAdapter(this@UserSettingActivity)
//        todoDayListRecycleView.adapter = adapterDay
//    }

    override fun onClickDay(item: DayModel) {

    }

    override fun onClickExceptionOrder(item: MonthModel) {

    }
    //Спина
    val c1 = arrayOf("c1_1", "c1_2")
    val c2 = arrayOf("c2_1", "c2_2")
    val c3 = arrayOf("c3_1", "c3_2")
    val c4 = arrayOf("c4_1", "c4_2")
    val c5 = arrayOf("c5_1", "c5_2")
    val c6 = arrayOf("c6_1", "c6_2","c6_3")
    val c7 = arrayOf("c7_1")
    val c8 = arrayOf("c8_1", "c8_2")
    val c9 = arrayOf("c9_1", "c9_2", "c9_3")
    val c10 = arrayOf("c10_1", "c10_2", "c10_3")
    val c11 = arrayOf("c11_1")
    val c12 = arrayOf("c12_1", "c12_2")
    val c13 = arrayOf("c13_1", "c13_2")
    val c14 = arrayOf("c14_1", "c14_2")
    val c15 = arrayOf("c15_1", "c15_2")
    val c16 = arrayOf("c16_1", "c16_2")
    val c17 = arrayOf("c17_1", "c17_2")
    val c18 = arrayOf("c18_1", "c18_2", "c18_3")

    //Бок
    val b1 = arrayOf("b1_1", "b1_2")
    val b2 = arrayOf("b2_1", "b2_2")
    val b3 = arrayOf("b3_1", "b3_2", "b3_3")
    val b4 = arrayOf("b4_1", "b4_2")

    //Живот
    val j1 = arrayOf("j1_1", "j1_2")
    val j2 = arrayOf("j2_1", "j2_2")
    val j3 = arrayOf("j3_1", "j3_2")
    val j4 = arrayOf("j4_1", "j4_2", "j4_3")
    val j5 = arrayOf("j5_1")
    val j6 = arrayOf("j6_1", "j6_2", "j6_3", "j6_4")
    val j7 = arrayOf("j7_1", "j7_2", "j7_3", "j7_4", "j7_5", "j7_6", "j7_7")
    val j8 = arrayOf("j8_1", "j8_2", "j8_3")
    val j9 = arrayOf("j9_1")
    val j10 = arrayOf("j10_1", "j10_2", "j10_3")
    val j11 = arrayOf("j11_1", "j11_2", "j11_3", "j11_4")
    val j12 = arrayOf("j12_1", "j12_2")

    val C1 = "Исходное положение, положить руки вверх.\n" +
            "Счет \n" +
            "1-2-3 - потянуться руками вверх, а пятками — в противоположную сторону;\n" +
            "4 – Расслабиться\n" +
            "Повторить 5—6 раз. Дыхание свободное.\n"
    val C2 = "Исходное положение, руки лежат под головой или направлены вниз, вдоль туловища.\n" +
            "Счет\n" +
            "1 - поднять одну прямую ногу на 45°;\n" +
            "2-3 - удерживать ее;\n" +
            "4 - опустить в исходное положение.\n" +
            "То же повторить с другой ноги. С каждой ноги повторить по 4—б раз. Дыхание свободное.\n"
    val C3 = "Исходное положение, руки лежат вверху.\n" +
            "Счет\n" +
            "1 - поднять вперед прямые правую руку и левую ногу; \n" +
            "2- опустить их в исходное положение;\n" +
            "3 - поднять вперед левую руку и правую ногу;\n" +
            "4 - вернуться в исходное положение.\n" +
            "Повторить 4-6 раз с каждой стороны, опустить их в исходное положение;\n"
    val C4 = "Исходное положение, руки лежат под головой или направлены вниз, вдоль туловища.\n" +
            "Счет\n" +
            "1 – напрячь оба бедра, как при выпрямлении колена;\n" +
            "2-3 – удерживать в напряжении;\n" +
            "4 - расслабиться.\n" +
            "Повторить 6-10 раз. Дыхание произвольное. При ампутации на уровне голени можно подложить под нижнюю треть бедра валик, если есть сгибательная контрактура колена, или если пациент так лучше ощущает работу мышц.\n"
    val C5 = "Исходное положение, руки лежат вниз вдоль туловища, под культю и под аналогичный сегмент сохранной конечности подложить мячи. \n" +
            "Счет\n" +
            "1 — опереться на ноги, поднять таз вверх;\n" +
            "2-3 — удерживать это положение;\n" +
            "4 — опуститься в исходное положение. \n" +
            "Повторить 4-8 раз. Дыхание произвольное, или подъем таза осуществлять на выдохе через рот, губы сложены «трубочкой».\n"
    val C6 = "Исходное положение, руки лежат вниз вдоль туловища, под культю и под аналогичный сегмент сохранной конечности подложить мячи. \n" +
            "Счет\n" +
            "1 — опереться на ноги и поднять таз вверх;\n" +
            " 2 — поднять одну прямую ногу вверх на 30°—45% \n" +
            "3 — опустить ногу на мяч;\n" +
            " 4 — опустить таз и вернуться в исходное положение. Повторить упражнение по 4-8 раз с каждой ноги. Дыхание произвольное. При значительных трудностях с удержанием баланса на мячах данное упражнение можно выполнять на валике или любых стабильных опорах.\n"
    val C7 = "Дыхательное упражнение — диафрагмальное дыхание. \n" +
            "Сохранную ногу поставить согнутую, вторая нога или свободно лежит на полу, или бедро закинуто на другое бедро (фото), одна ладонь лежит на животе, а другая — на груди. На вдох носом надуть животом «шарик», на выдох через рот опустить переднюю стенку живота (и втянуть ее) и расслабиться. \n" +
            "Повторить дыхательный цикл не более 4-6 раз. Дышать глубоко, в комфортном темпе.\n"
    val C8 = "Исходное положение, руки лежат вниз вдоль туловища, под ноги подложен большой гимнастический мяч.\n" +
            "Счет\n" +
            "1 – упереться ногами в мяч, поднять таз вверх;\n" +
            "2-3 — удерживать это положение;\n" +
            "4 - опустить таз и вернуться B исходное положение.\n" +
            "Дыхание произвольное. Повторить упражнение 6-8 раз.\n"
    val C9 = "Исходное положение, руки лежат вниз вдоль туловища, под ноги подложен большой гимнастический мяч. \n" +
            "Счет\n" +
            "1 - поднять таз с опорой на обе ноги;\n" +
            "2 - поднять сохранную ногу вверх от опоры и остаться стоять на одной культе;\n" +
            "3 - опустить на опору сохранную ногу;\n" +
            "4 - опустить таз и вернуться в исходное положение. Повторить упражнение для каждой ноги по 4—6 раз. Дыхание произвольное.\n"
    val C10 = "Исходное положение, руки лежат вниз вдоль туловища или под головой (усложненный вариант). \n" +
            "Имитация велосипедных движений. По 6-10 движений сначала одной ногой, затем второй. Усложненный вариант упражнения (фото) — выполнение упражнения одновременно двумя ногами.\n" +
            "Сначала движение ногами выполняется в направлении движения вперед, а затем — назад. \n" +
            "Следить за дыханием и за тем, чтобы поясница была прижата к полу.\n"
    val C11 = "Дыхательное упражнение — диафрагмальное дыхание.\n" +
            "Повторить дыхательный цикл не более 4-6 раз. В необходимости повторения дыхательного упражнения — ориентироваться на самочувствие пациента.\n"
    val C12 = "Исходное положение, руки вытянуты перед собой, B руках — резиновая лента-амортизатор.\n" +
            "Счет\n" +
            "1 - развести в стороны прямые руки и коснуться кулачками пола, свести лопатки;\n" +
            "2-3 — удерживать это положение;\n" +
            "4 — свести руки перед собой и вернуться в исходное положение.\n" +
            "При выполнении упражнения акцент делать на сведение лопаток в момент растяжения резинового амортизатора.\n"
    val C13 = "Исходное положение, в руках — резиновый амортизатор; одна рука лежит вниз вдоль туловища, вторая согнута в локте на 90° и отведена от туловища (локоть на уровне плеча), ее плечо лежит на полу. \n" +
            "Счет\n" +
            "1 - не разгибая локтя, разворачивая лопатку, положить кисть согнутой руки на пол;\n" +
            "2-3 — удерживать это положение;\n" +
            "4 - вернуться в исходное положение. Повторить 10—15-20 раз. Не меняя длины хвата амортизатора, повторить с другой руки. Дыхание произвольное.\n"
    val C14 = "Исходное положение, поставить руки B упоре на локти, немного отведя их от туловища.\n" +
            "1 - надавить локтями на пол, свести лопатки прогнуть грудную клетку;\n" +
            "2-3 — удерживать это напряжение;\n" +
            "4 - расслабиться и вернуться в исходное положение \n" +
            "Повторить 4-8 раз. Дыхание ровное, без задержек.\n"
    val C15 = "Исходное положение, на бедра надета резиновая петля, ногу со стороны ампутации ротировать внутрь (cкосолапить). \n" +
            "Счет\n" +
            "1 - скользя по поверхности, отвести ногу со стороны ампутации в сторону; \n" +
            "2-3 - удерживать ногу в этом положении;\n" +
            "4 - вернуть ногу в исходное положение.\n" +
            "Повторить упражнение 10-15-20 раз.\n" +
            "Повторить 10-15-20 раз. После короткого отдыха сделать второй подход. Дыхание произвольное. Следить, чтобы мышцы плечевого пояса не вовлекались в напряжение, а таз оставался неподвижным. Для улучшения самоконтроля можно руки ставить на пояс и таким 0бразом следить за неподвижностью таза.\n"
    val C16 = "Исходное положение, бедрами удерживать мяч.\n" +
            "Счет\n" +
            "1 - сжать мяч между бедрами; \n" +
            "2-3 - удерживать это положение; \n" +
            "4 - расслабиться.\n" +
            "Повторить упражнение 10-15-20 раз. \n" +
            "Со временем возможно усложнение упражнения: удерживать сжатие не на счет 2-3, а на 2-3-4-5-6-7, и только на счет 8 — расслабиться. Дыхание произвольное. Следить, чтобы мышцы плечевого пояса не вовлекались B напряжение, и пациент не затаивал дыхание.\n"
    val C17 = "Исходное положение, руки лежат под головой, на ногу со стороны ампутации надета манжета-утяжелитель.\n" +
            "Счет\n" +
            "1 - поднять прямую ногу на 45°; \n" +
            "2-3 - удерживать ногу в этом положении; \n" +
            "4 - опустить ногу и вернуться в исходное положение. \n" +
            "Повторить 10—15—20 раз.\n" +
            "Усложнение упражнения:\n" +
            "1 - поднять ногу; \n" +
            "2-3-4-5-6-7 - держать ногу; \n" +
            "8 - опустить ногу и вернуться в исходное положение.\n" +
            "Со временем можно выполнять два подхода к упражнению.\n"
    val C18 = "Исходное положение, руки лежат под головой, на ногу со стороны ампутации надета манжета-утяжелитель. \n" +
            "Счет\n" +
            "1 - поднять прямую ногу на 45°;\n" +
            "2 - согнуть ногу в бедре и колене до 90°; \n" +
            "3 - выпрямить ногу обратно; \n" +
            "4 - опустить ногу и вернуться в исходное положение. \n" +
            "Повторить упражнение 10—15 раз. \n" +
            "Усложнение упражнения: \n" +
            "сгибание и разгибание колена и бедра можно осуществлять не один, а несколько раз подряд, и только потом. опускать ногу. Также можно делать имитацию велосипедных движений вперед, а потом B обратную сторону. \n" +
            "Со временем весь комплекс упражнений можно выполнять с утяжелителем в постоянном режиме. Со стороны ампутации делать больше подходов и количество повторений предлагаемых упражнений.\n"

    val B1 = "Исходное положение. \n" +
            "Счет\n" +
            "1 - поднять верхнюю ногу на 10—35° точно в сторону;\n" +
            "2-3 - удерживать это положение; \n" +
            "4 - опустить ногу в исходное положение. \n" +
            "Повторить упражнение 10—15-20 раз и положить согнутую ногу вперед — для растяжки и отдыха мышц. Во время выполнения упражнения следить за точностью направления движения — отведения.\n"
    val B2 = "Исходное положение, верхняя нога согнута в колене и лежит впереди. \n" +
            "Счет \n" +
            "1 - поднять прямую нижнюю ногу точно вверх (приведение), стопу тянуть на себя;\n" +
            "2-3 - удерживать ногу в верхней точке.\n" +
            "4 - опустить ногу в исходное положение \n" +
            "Повторить 10—15-20 раз. Следить за тем, чтобы нога не уходила вперед или назад, колено было всегда выпрямлено. Дыхание произвольное.\n"
    val B3 = "Исходное положение. \n" +
            "Счет\n" +
            "1 — поднять верхнюю ногу на 10—35° точно в сторону; \n" +
            "2 — согнуть в колене, не смещая бедро; \n" +
            "3 — выпрямить колено, не смещая бедро; \n" +
            "4 — опустить ногу в исходное положение. \n" +
            "Повторить 10—15—20 раз. Дыхание произвольное. \n" +
            "Повторяйте те же упражнения, лежа на другом боку.\n"
    val B4 = "Исходное положение, на уровне бедра надета манжета с утяжелителем. \n" +
            "Счет \n" +
            "1 - поднять верхнюю ногу на 10—35° точно в сторону; \n" +
            "2-3 — удерживать это положение \n" +
            "4 - опустить ногу в исходное положение.\n" +
            "Повторить 10—15-20 раз и положить согнутую ногу вперед для отдыха. Следить за точностью направления движения (отведение). \n" +
            "Подобным образом — с утяжелителем — можно выполнять все упражнения в исходном положении лежа на боку.\n"


    val J1 = "Исходное положение, руки лежат под головой, опираясь на лоб. \n" +
            "1 - поднять плечевой пояс, руки и голову; \n" +
            "2-3 - удерживать это положение;\n" +
            "4 — опуститься в исходное положение и расслабиться. Повторить упражнение 6-10 раз. Следить за дыханием. \n" +
            "Можно при подъеме туловища сводить лопатки, приводя локти к туловищу на все время удержания корпуса.\n"
    val J2 = "Исходное положение, руки лежат под головой, голова опирается на лоб. \n" +
            "1 - поднять правую прямую ногу вверх;\n" +
            "2-3 - удерживать ногу; 4 - опустить ногу в исходное положение. \n" +
            "С каждой стороны повторить упражнение по 6-10 раз. Следить за дыханием.\n"
    val J3 = "Исходное положение, ноги лежат чуть шире плеч, руки под головой. \n" +
            "1 — поднять плечевой пояс, руки и голову, и развести руки в стороны (ладонями вперед); \n" +
            "2-3 — удерживать это положение;\n" +
            "4 - опуститься в исходное положение. \n" +
            "Повторить упражнение 6-10 раз. \n" +
            "Усложнение: \n" +
            "можно одновременно с подъемом корпуса поднимать поочередно то одну HOTY, то другую, или две ноги одновременно (фото). Следить за дыханием.\n"
    val J4 = "Исходное положение, руки лежат наверху, голова опирается на лоб. \n" +
            "Счет\n" +
            "1 — поднять вверх одновременно прямые правую руку и левую ногу; \n" +
            "2-3 - удерживать это положение; \n" +
            "4 — опуститься в исходное положение. \n" +
            "С каждой стороны повторить упражнение по 4-8 раз. Следить за дыханием.\n"
    val J5 = "Дыхательное упражнение. Исходное положение, голова опирается на лоб, руки под толовой. Глубокий вдох HOCOM, долгий выдох через рот, губы сложены «трубочкой». Повторить 4-6 раз.\n"
    val J6 = "Исходное положение, голова опирается на лоб. Рисуем ногой медленно букву «П».\n" +
            "Счет\n" +
            "1 – поднять прямую правую ногу вверх;\n" +
            "2 – отвести eё B сторону на 30°;\n" +
            "3 – опустить ногу в стороне на пол;\n" +
            "4 – поднять правую ногу;\n" +
            "5 – привести ноту к центру;\n" +
            "6 – опустить ногу в исходное положение;\n" +
            "7-12 – повторить то же с левой ноги.\n" +
            "Упражнение сделать по 4-8 раз на каждую ногу. Следить за дыханием."
    val J7 = "Предыдущее упражнение можно немного усложнить. \n" +
            "Счет\n" +
            "1 — поднять одну ногу; \n" +
            "2 — отвести ногу в сторону; \n" +
            "3 — опустить ногу в стороне; \n" +
            "4 — поднять вверх другую ногу;\n" +
            "5 - отвести и ее в сторону; \n" +
            "6 - опустить на пол в стороне; \n" +
            "7-8 -скользя по опоре, соединить на полу ноги. \n" +
            "Повторить упражнение с каждой ноги по 4-6 раз. Следить за дыханием.\n"
    val J8 = "Исходное положение, две ноги поднять поочередно вверх. \n" +
            "1 - развести ноги в стороны; \n" +
            "2 - свести ноги вместе, и повторять 10—15-20 раз. \n" +
            "Следить за дыханием. После небольшой паузы, со временем, можно выполнять второй подход. \n" +
            "Также возможны следующие варианты:\n" +
            "1 - развести ноги в стороны;\n" +
            "2 - свести ноги вместе с перекрестом (одна нога выше, и нижнюю ноги. другая ниже);\n" +
            "3 - развести ноги в стороны;\n" +
            "4 - свести ноги и перекрестить их, поменяв верхнюю и нижнюю ноги.\n" +
            "Упражнение сделать по 4-8 раз на каждую ногу. Следить за дыханием.\n"
    val J9 = "Дыхательное упражнение. Исходное положение, голова опирается на лоб, руки под головой. Глубокий вдох носом, долгий выдох через POT, губы сложены «трубочкой». Повторить 4-6 раз.\n"
    val J10 = "Исходное положение, голова опирается на лоб, руки лежат наверху на ширине, в руках — резиновый амортизатор. \n" +
            "1 — поднять туловище, руки и голову вверх; \n" +
            "2 — развести руки в стороны так, чтобы амортизатор лег на лопатки; \n" +
            "3 — свести руки наверху до ширины плеч; \n" +
            "4 — опуститься в исходное положение. \n" +
            "Повторить упражнение 6-10 раз. Дыхание произвольное.\n" +
            " Со временем можно усложнить упражнение: разводить руки в стороны не один раз, а несколько раз подряд; также можно сделать паузу в момент, когда руки разведены в стороны. Дыхание произвольное. Можно одновременно с подъемом туловища поднимать поочередно то одну, то вторую ногу.\n"
    val J11 = "Исходное положение, руки под головой. Поднять плечевой пояс и согнутые к плечам руки. Имитация плавания брассом. Дыхание ровное. \n" +
            "Два подхода по 10-15-20 движений. Следить за полным выпрямлением рук наверх, разведением прямых рук B стороны, сведением лопаток B момент приведения плеч, а также за тем, чтобы корпус при выпрямлении рук наверх не опускался. Дыхание произвольное.\n"
    val J12 = "Исходное положение, руки лежат под головой, голова опирается на лоб. На ноге со стороны ампутации надета манжета с утяжелителем.\n" +
            "Счет\n" +
            "1 - поднять ногу с утяжелителем;\n" +
            "2-3 — удерживать ногу; \n" +
            "4 — опустить ногу в исходное положение. \n" +
            "Повторить 10-15-20 раз.\n" +
            "Усложнение: можно на счет 2 - отвести ногу в сторону, на счет 3 - вернуть ногу к центру, счет 4 — опуститься в исходное положение. Также можно отводить в сторону не один раз, а несколько раз подряд. Дыхание свободное. \n" +
            "Со временем все упражнения можно выполнять с утяжелителем."



}