package com.example.rehabilitation.User.fragmentUser

import android.content.ContentResolver
import android.net.Uri
import android.os.Bundle
import android.util.Log
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.CalendarView
import android.widget.Toast
import androidx.fragment.app.activityViewModels
import androidx.lifecycle.asLiveData
import androidx.recyclerview.widget.GridLayoutManager
import com.example.rehabilitation.BuildConfig
import com.example.rehabilitation.R
import com.example.rehabilitation.databinding.FragmentCalendarBinding
import com.example.rehabilitation.db.MainDB
import com.example.rehabilitation.dip.Day.DayAdapter
import com.example.rehabilitation.dip.Day.DayModel
import com.example.sqlitework.dip.MainViewModel
import java.time.LocalDate
import java.util.Calendar


class CalendarFragment : Fragment(),DayAdapter.Listener {
    private lateinit var binding: FragmentCalendarBinding
    lateinit var adapterDay: DayAdapter
    private val model: MainViewModel by activityViewModels()//Инициализировали класс

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        binding = FragmentCalendarBinding.inflate(layoutInflater,container,false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        initRcViewDay()
        liveReadOrderDayCurrent()
        model.liveDayList.observe(viewLifecycleOwner) {//viewLifecycleOwner - следит за циклом жизни fragment
            adapterDay.submitList(it)//Напрямую переадем созданный список в adapter(ProductAdapter)
        }
        addListModelCardsDay("${LocalDate.now()}")

        binding.calendarView.setOnDateChangeListener { calView: CalendarView, year: Int, month: Int, dayOfMonth: Int ->

            // Create calender object with which will have system date time.
            val calender: Calendar = Calendar.getInstance()

            // Set attributes in calender object as per selected date.
            calender.set(year, month, dayOfMonth)

            // Now set calenderView with this calender object to highlight selected date on UI.
            calView.setDate(calender.timeInMillis, true, true)
            Log.d("SelectedDate", "${LocalDate.of(year, month+1, dayOfMonth)}")
            if(LocalDate.of(year, month+1, dayOfMonth).toString() == LocalDate.now().toString()){
                addListModelCardsDay("${LocalDate.of(year, month+1, dayOfMonth)}")
            }
            else{
                Toast.makeText(requireContext(), "Ошибка", Toast.LENGTH_SHORT).show()
            }
        }
        //addListModelCardsDay("2023-7-13")
        val fileName = "b3_1.png"

        val fileUri = Uri.parse("${ContentResolver.SCHEME_ANDROID_RESOURCE}://"+ BuildConfig.APPLICATION_ID+"/drawable/${fileName}")
        val filePath = fileUri.path

//        val fileName1 = "my_image.png"
//        val inputStream1 = assets.open("drawable/${fileName}")
//        val filePath1 = inputStream.toString()

//        val resourceId12 = R.drawable.b3_1
//        val fileUri12 = Uri.parse("android.resource://"+ BuildConfig.APPLICATION_ID+"/${resourceId12}")
//        val filePath12 = fileUri12.path

       // binding.imageView4.setImageResource(filePath12!!.toInt())
    }

    //Функция запускающая отслеживания за списком, чтобы вовремя обновлять основную карточку продукта
    private fun liveReadOrderDayCurrent() = with(binding) {
        model.liveDayCurrent.observe(viewLifecycleOwner) {//viewLifecycleOwner - следит за циклом жизни fragment

        }
    }
    //Инициализация списка
    private fun initRcViewDay() = with(binding) {
        rcViewDayCalendar.layoutManager = GridLayoutManager(requireContext(),1)//По вертикали будет выводить по умолчанию
        adapterDay = DayAdapter(this@CalendarFragment)
        rcViewDayCalendar.adapter = adapterDay
    }
    //Заполнения модели и списка
    private fun addListModelCardsDay(day:String){
        val db = MainDB.getDB(requireContext())
        val list = ArrayList<DayModel>()
        db.getDaoDaySport().getAllItemDaySport(day).asLiveData().observe(requireActivity()){itList->
            var number = 0;
            itList.forEach{
                //val text = "Id: ${it.id} Name: ${it.name} Proce: ${it.price}"
                //binding.txtList.append(text)
                val itemDay = DayModel(
                    it.id.toString(),
                    //it.name.toString(),
                    //it.desc.toString(),
                    "123",
                    "321",
                    it.day.toString(),
                    (number++).toString(),
                    it.category.toString(),
                    //it.count.toString(),
                    //it.image.toString(),
                    it.check.toString(),
                )
                //model.liveZakazCurrent.value = item//Передаем в liveDataCurrent один из продуктов, чтобы дальше эти данные использовать и передавать их в пробную ячейку
                list.add(itemDay)//Передали заполненый список
            }
            model.liveDayList.value = list
        }
    }
    companion object {

        fun newInstance() = CalendarFragment()
    }

    override fun onClickDay(item: DayModel) {

    }
}