package com.example.rehabilitation.User.fragmentUser

import android.annotation.SuppressLint
import android.content.ContentResolver
import android.net.Uri
import android.os.Bundle
import android.os.Environment
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.HorizontalScrollView
import android.widget.Toast
import androidx.fragment.app.Fragment
import androidx.fragment.app.activityViewModels
import androidx.lifecycle.asLiveData
import androidx.recyclerview.widget.GridLayoutManager
import androidx.recyclerview.widget.LinearLayoutManager
import com.example.rehabilitation.BuildConfig
import com.example.rehabilitation.R
import com.example.rehabilitation.databinding.FragmentSceduleBinding
import com.example.rehabilitation.db.MainDB
import com.example.rehabilitation.dip.Day.DayAdapter
import com.example.rehabilitation.dip.Day.DayModel
import com.example.rehabilitation.dip.Image.ImageSportAdapter
import com.example.rehabilitation.dip.Image.ImageSportModel
import com.example.rehabilitation.dip.Month.MonthAdapter
import com.example.rehabilitation.dip.Month.MonthModel
import com.example.sqlitework.dip.MainViewModel
import java.io.File
import java.time.LocalDate


class SceduleFragment(/*var taskItem: TaskItem?*/) : Fragment(), MonthAdapter.Listener,DayAdapter.Listener{
    private lateinit var binding: FragmentSceduleBinding
   // private lateinit var taskViewModel: TaskViewModel
   private val model: MainViewModel by activityViewModels()//Инициализировали класс
    lateinit var adapterMonth: MonthAdapter
    lateinit var adapterDay: DayAdapter
    lateinit var adapterImage: ImageSportAdapter

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        binding = FragmentSceduleBinding.inflate(layoutInflater, container, false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        initRcView()
        initRcViewDay()
        initRcViewImage()
        liveReadOrderCurrent()
        liveReadOrderDayCurrent()
        model.liveListList.observe(viewLifecycleOwner) {//viewLifecycleOwner - следит за циклом жизни fragment
            adapterMonth.submitList(it)//Напрямую переадем созданный список в adapter(ProductAdapter)
            binding.txtNullList.visibility = View.GONE
        }

        model.liveDayList.observe(viewLifecycleOwner) {//viewLifecycleOwner - следит за циклом жизни fragment
            adapterDay.submitList(it)//Напрямую переадем созданный список в adapter(ProductAdapter)
        }

        model.liveImageList.observe(viewLifecycleOwner) {//viewLifecycleOwner - следит за циклом жизни fragment
            adapterImage.submitList(it)//Напрямую переадем созданный список в adapter(ProductAdapter)
        }


        //Закрытие карточки определенного дня
        binding.btnExitCardSport.setOnClickListener {
           visible2()
            binding.txtNameCard.setText("")
            binding.txtDescCard.setText("")
        }

        binding.btnExitCLDayList.setOnClickListener{
            visible1()
        }

        //Заполнение списка
        addListModelCards()



    }
    companion object {
        fun newInstance() = SceduleFragment(/*null*/)
    }
    //Функция запускающая отслеживания за списком, чтобы вовремя обновлять основную карточку продукта
    private fun liveReadOrderCurrent() = with(binding) {
        model.liveListCurrent.observe(viewLifecycleOwner) {//viewLifecycleOwner - следит за циклом жизни fragment
            visible2()
            //addListModelCardsDay(it.day)
        }

    }
    //Функция запускающая отслеживания за списком, чтобы вовремя обновлять основную карточку продукта
    @SuppressLint("DiscouragedApi")
    private fun liveReadOrderDayCurrent() = with(binding) {
        model.liveDayCurrent.observe(viewLifecycleOwner) {//viewLifecycleOwner - следит за циклом жизни fragment
            visible3()
            //val db = MainDB.getDB(requireContext())
            //db.getDaoDaySport().getAllItemDaySport(day).asLiveData().observe(requireActivity()){itList->


//            var gpath:String = Environment.getExternalStorageDirectory().absolutePath
//            var spath = R.drawable.b3_1
//            var fullpath = File(gpath + File.separator + spath)
            //var image = R.drawable.

           //val mFile1 = Environment.getExternalStorageDirectory()
            //val fileName = "b3_1.png"
            //val mFile2 = File(mFile1, fileName)
            //val sdPath = mFile1.absolutePath.toString() + "/" + fileName
           // val temp = File(sdPath)
            val db = MainDB.getDB(requireContext())
            val listImage = ArrayList<ImageSportModel>()
            db.getDaoImage().getAllItemImage(it.category).asLiveData().observe(requireActivity()) { itList1 ->
                itList1.forEach {
                    val item = ImageSportModel(
                        it.id.toString(),
                        it.image,
                        it.name.toString(),
                    )
                    Log.d("sdaasd","${item.article}")
                    listImage.add(item)//Передали заполненый список
                }

                model.liveImageList.value = listImage

            }
            //Log.i("5555", "Your IMAGE ABSOLUTE PATH:-$sdPath")
            //val otherPath = Uri.parse("android.resource://"+ BuildConfig.APPLICATION_ID+"/drawable/b3_1.png")
            //val path = Uri.parse("android.resource://com.nikhil.material/" + R.drawable.ima)
            //val fileUri = Uri.parse("${ContentResolver.SCHEME_ANDROID_RESOURCE}://"+ BuildConfig.APPLICATION_ID+"/drawable/${fileName}")
            binding.txtNameCard.setText("")
            binding.txtDescCard.setText("")
            binding.txtTitle.setText("")
            binding.txtTitle.setText("Упражнение "+it.number)
            binding.txtNameCard.setText(it.name)
            binding.txtDescCard.setText(binding.txtDescCard.text.toString()+it.desc)
           // binding.txtTitle.setText(it.name)
            //binding.imageView2.setImageResource(R.drawable.b3_1)
            //val resourceId = resources.getIdentifier("b3_1", "drawable", activity?.packageName)
//            val sads = "2131231027"
//            binding.imageView2.setImageResource(sads.toInt());
//            Log.d("otherPath", sads.toString())



        }

    }

    //Заполнения модели и списка
    private fun addListModelCards(){
        val db = MainDB.getDB(requireContext())
        val list = ArrayList<MonthModel>()
        db.getDao().getAllItems().asLiveData().observe(requireActivity()){itList->
            binding.txtList.text = ""
            itList.forEach{
                //val text = "Id: ${it.id} Name: ${it.name} Proce: ${it.price}"
                //binding.txtList.append(text)
                val item = MonthModel(
                    it.id.toString(),
                    it.day.toString(),
                    it.date.toString(),
                    it.check.toString()
                )
                //model.liveZakazCurrent.value = item//Передаем в liveDataCurrent один из продуктов, чтобы дальше эти данные использовать и передавать их в пробную ячейку
                list.add(item)//Передали заполненый список
            }
            model.liveListList.value = list
        }



    }

    //Заполнения модели и списка
    private fun addListModelCardsDay(day:String){

        val db = MainDB.getDB(requireContext())
        val list = ArrayList<DayModel>()
        db.getDaoDaySport().getAllItemDaySport(day).asLiveData().observe(requireActivity()){itList->
            var number = 1;
            itList.forEach{
                db.getDaoSportCategory().getAllItemsSportCategory("c").asLiveData().observe(requireActivity()){itSport->
                    itSport.forEach {
                        val itemDay = DayModel(
                            it.id.toString(),
                            it.name,
                            it.desc,
                            day,
                            (number++).toString(),
                            it.category.toString(),
                            "0",
                        )
                        list.add(itemDay)//Передали заполненый список
                    }
                }
            }
            model.liveDayList.value = list
            Log.d("sadas",list.toString())
        }
    }

    //Инициализация списка
    private fun initRcView() = with(binding) {
        todoListRecycleView.layoutManager = GridLayoutManager(requireContext(),1)//По вертикали будет выводить по умолчанию
        adapterMonth = MonthAdapter(this@SceduleFragment)
        todoListRecycleView.adapter = adapterMonth
    }
    //Инициализация списка
    private fun initRcViewDay() = with(binding) {
        rcVIewDayList.layoutManager = GridLayoutManager(requireContext(),1)//По вертикали будет выводить по умолчанию
        adapterDay = DayAdapter(this@SceduleFragment)
        rcVIewDayList.adapter = adapterDay
    }
    //Инициализация списка для фотографий
    private fun initRcViewImage() = with(binding) {
        rcViewImage.layoutManager = LinearLayoutManager(requireContext(),LinearLayoutManager.HORIZONTAL,false)//По вертикали будет выводить по умолчанию
        adapterImage = ImageSportAdapter()
        rcViewImage.adapter = adapterImage
    }



    //Вывод первого экрана
    private fun visible1(){
        binding.CLListSport.visibility = View.VISIBLE
        binding.CLCardSport.visibility = View.GONE
        binding.CLDayList.visibility = View.GONE
    }
    //Вывод второго экрана
    private fun visible2(){
        binding.CLListSport.visibility = View.GONE
        binding.CLDayList.visibility = View.VISIBLE
        binding.CLCardSport.visibility = View.GONE

    }
    //Вывод второго экрана
    private fun visible3(){
        binding.CLListSport.visibility = View.GONE
        binding.CLDayList.visibility = View.GONE
        binding.CLCardSport.visibility = View.VISIBLE
    }
    override fun onClickExceptionOrder(item: MonthModel) {
        //Если открываешь тренировку не сегодняшнего дня то тебя ругает
       // if(item.day.toString() == LocalDate.now().toString()){
        model.liveListCurrent.value = item
        addListModelCardsDay(item.day)
//        }
//        else{
//            Toast.makeText(requireContext(), "Ошибка", Toast.LENGTH_SHORT).show()
//        }
    }

    override fun onClickDay(item: DayModel) {
            model.liveDayCurrent.value = item
    }


}