package com.example.rehabilitation.db

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import kotlinx.coroutines.flow.Flow

@Dao
interface Dao {
    //Таблица по по дням
    @Insert
    fun insertItem(item:Item)
    //Таблица определенного дня


    //Список по дням
    @Query("SELECT * FROM items ORDER BY day ASC")
    fun getAllItems(): Flow<List<Item>>

    //Список определенного дня
//    @Query("SELECT * FROM itemDay")
//    fun getAllItemDay(): Flow<List<ItemDay>>

    //Обновление по переднному параметру
    @Query("UPDATE items SET `check` = 1 WHERE id = :id")
    fun updateItems(id : String)

     //Очистка таблицы
    @Query("DELETE FROM items")
    fun deleteItem()

}