package com.example.rehabilitation.db

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query
import kotlinx.coroutines.flow.Flow

@Dao
interface DaoDaySport {
    //Таблица определенного дня
    @Insert
    fun insertItemDaySport(itemDaySport:ItemDaySport)

    //Список определенного дня
    @Query("SELECT * FROM itemDaySport ORDER BY id ASC")
    fun getAllItemDaySport(): Flow<List<ItemDaySport>>

    //Список определенного дня
    @Query("SELECT * FROM itemDaySport WHERE day = :day ORDER BY id ASC")
    fun getAllItemDaySport(day:String): Flow<List<ItemDaySport>>

    //Очистка таблицы
    @Query("DELETE FROM itemDaySport")
    fun deleteItemDaySport()

}