package com.example.rehabilitation.dip.Image

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.DiffUtil
import androidx.recyclerview.widget.ListAdapter
import androidx.recyclerview.widget.RecyclerView
import com.example.rehabilitation.R
import com.example.rehabilitation.databinding.ImageSportCardsBinding
import com.example.rehabilitation.databinding.RcItemDayBinding
import java.time.LocalDate


class ImageSportAdapter() : ListAdapter<ImageSportModel, ImageSportAdapter.Holder>(
    Comparator()
) {//Productitem - по этой форме будем заполнять.//ProductAdapter.holder - это создаваемый holder который хранит логику как нужно заполнять карточку


    //В holder создаетс код с помошью которого мы будем заполнять и сохронять разметку
    class Holder(view: View): RecyclerView.ViewHolder(view) {//Класс который будет хранить сссылки на элементы, и отвечает за один элемент за 1 раз, то есть сначсало нулевой элемент заполнит, потом первый, потом второй и т.д.
        //Для передачи данных

        val binding = ImageSportCardsBinding.bind(view)//view - здесь храянтся элементы и мы их bind заполним в ListItemBinding//ListItemBinding - это клласс даннйо разметки(карточки) которую мы будем заполнять, а нужна дання переменная(binding), чтобы мжно было при заполнение обращатся к элементам карточки

        var itemTemp: ImageSportModel? = null//Глобальная переменная для нашего item, чтобы можно было передать данные для нажатия

        //init - дает возможность внутри адаптера обращаться к элементам экрана
        init {
            itemView.setOnClickListener {//Нажатие на ячейку//itemView - это весь элемент карточки из списка
                //itemTemp?.let { it1 -> listener_zakaz.onClickDay(it1) }

            }
        }

        //Функция bind для заполнения
        fun bind(item: ImageSportModel) = with(binding) {//Productitem - перпедаем данные
            itemTemp = item
            imageSport.setImageResource(item.imageName.toInt())
            }

        }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): Holder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.image_sport_cards, parent, false)//Создаем(надуваем) list_item
        return Holder(view)//Через Holder возврощаем view
    }

    override fun onBindViewHolder(holder: Holder, position: Int) {
        val view = holder.bind(getItem(position))//Заполняем по позиции карточку
    }


    //Comparator - сравнивает старый список и новый и если что-то изменилось, то работает с конкретным изменением списке, а не весь список переписывает
    class Comparator : DiffUtil.ItemCallback<ImageSportModel>() {
        override fun areItemsTheSame(oldItem: ImageSportModel, newItem: ImageSportModel): Boolean {//Тут лучше всего сравнивать по id//oldItem - элементы старого списка, newItem - элементы нового списка//Возврощает Boolean, тоесть есть изменения или нет
            return oldItem.id == newItem.id//Сравниваем полностью весь список новы и старый, по очередно по одной карточке и по элементно, то есть нулевой элемент, первый, второй и т.д.. Но лучше сравнивать по id списки, а не просто весь список, так как это эфективнее, так как id уникальный(oldItem.id == newItem.id)
        }

        override fun areContentsTheSame(oldItem: ImageSportModel, newItem: ImageSportModel): Boolean {//Утут нужно сравнивать весь спсок старых элементов и новых
            return oldItem == newItem//Сравниваем полностью весь список новы и старый
        }
    }




}




